#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	totem-pl-parser
Version		:	3.26.3
Release		:	17.0.10.rel%{?dist}
Summary		:	A simple GObject-based library to parse a host of playlist formats
Group		:	Applications/File

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	http://ftp.gnome.org/pub/gnome/sources/totem-pl-parser

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	meson, ninja
BuildRequires	:	gmime
BuildRequires	:	gobject-introspection
#-----------------------------------------------------------------------------
%description
The Totem PL Parser package contains a simple GObject-based
library used to parse multiple playlist formats. 

%prep
%setup -q
%autosetup -p1

#---------------------------------------------------------
#building application
%build

%{__mkdir_p} build
pushd build

meson                                                   \
        --prefix=%{_prefix}                             \
        --includedir=%{_includedir}                     \
        --libexecdir=%{_libexecdir}                     \
        --sysconfdir=%{_sysconfdir}                     \
        --bindir=%{_bindir}                             \
        --sbindir=%{_sbindir}                           \
        --mandir=%{_mandir}                             \
        --libdir=%{_libdir}                             \
        --infodir=%{_infodir}                           \

popd

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

pushd build
DESTDIR=%{buildroot}					\
	ninja install
popd 

%files			
%defattr(-,root,root,-)
%doc AUTHORS NEWS README
%{_includedir}/%{name}/1/plparser/*.h
%{_libdir}/*.so*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/girepository-1.0/*.typelib
%{_datadir}/gir-1.0/*.gir
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog

